package com.ether;

import net.sf.json.JSON;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.Collection;

public interface JSONHelper
{
    @NotNull
    JSON toJSON( @NotNull final Object object );

    @NotNull
    JSONObject toJSONObject( @NotNull final Object object );

    JSONArray toJSON( @Nullable final Object[] collection );

    @NotNull
    JSONArray toJSON( @Nullable final Collection collection );

    @Nullable
    <T> T fromJSON( @NotNull final JSON json, @NotNull final Class<T> beanClass );
}
