package com.ether;

/**
 * @author vmipsl
 * @date 02 feb 2011
 */
public class EtherException
        extends FormattedException
{
    public EtherException( final Enum<? extends Code> code )
    {
        super( code );
    }

    public EtherException( final Enum<? extends Code> code, final Throwable cause, final Object... parameters )
    {
        this( code, cause.getMessage(), cause, parameters );
    }

    protected EtherException( final Enum<? extends Code> code, final String message, final Throwable cause, final Object... parameters )
    {
        super( prefix( code, message ), cause, parameters );
    }

    public EtherException( final Throwable cause )
    {
        super( cause );
    }

    public EtherException( final Enum<? extends Code> code, final String string )
    {
        super( code, string );
    }

    public static enum EtherCode
            implements Code
    {
        IO_EXCEPTION_ERROR_TO_GET_OUTPUTSTREAM,
    }
}